<?php
// Version: 1.1.5; Settings

function template_options()
{
	global $context, $settings, $options, $scripturl, $txt;

	$context['theme_options'] = array(
		array(
			'id' => 'show_board_desc',
			'label' => $txt[732],
			'default' => true,
		),
		array(
			'id' => 'show_children',
			'label' => $txt['show_children'],
			'default' => true,
		),
		array(
			'id' => 'show_no_avatars',
			'label' => $txt['show_no_avatars'],
			'default' => true,
		),
		array(
			'id' => 'show_no_signatures',
			'label' => $txt['show_no_signatures'],
			'default' => true,
		),
		array(
			'id' => 'show_no_censored',
			'label' => $txt['show_no_censored'],
			'default' => true,
		),
		array(
			'id' => 'return_to_post',
			'label' => $txt['return_to_post'],
			'default' => true,
		),
		array(
			'id' => 'no_new_reply_warning',
			'label' => $txt['no_new_reply_warning'],
			'default' => true,
		),
		array(
			'id' => 'view_newest_first',
			'label' => $txt['recent_posts_at_top'],
			'default' => true,
		),
		array(
			'id' => 'view_newest_pm_first',
			'label' => $txt['recent_pms_at_top'],
			'default' => true,
		),
		array(
			'id' => 'popup_messages',
			'label' => $txt['popup_messages'],
			'default' => true,
		),
		array(
			'id' => 'copy_to_outbox',
			'label' => $txt['copy_to_outbox'],
			'default' => true,
		),
		array(
			'id' => 'auto_notify',
			'label' => $txt['auto_notify'],
			'default' => true,
		),
		array(
			'id' => 'calendar_start_day',
			'label' => $txt['calendar_start_day'],
			'options' => array(
				0 => $txt['days'][0],
				1 => $txt['days'][1],
				6 => $txt['days'][6],
			),
			'default' => true,
		),
		array(
			'id' => 'display_quick_reply',
			'label' => $txt['display_quick_reply'],
			'options' => array(
				0 => $txt['display_quick_reply1'],
				1 => $txt['display_quick_reply2'],
				2 => $txt['display_quick_reply3']
			),
			'default' => true,
		),
		array(
			'id' => 'display_quick_mod',
			'label' => $txt['display_quick_mod'],
			'options' => array(
				0 => $txt['display_quick_mod_none'],
				1 => $txt['display_quick_mod_check'],
				2 => $txt['display_quick_mod_image'],
			),
			'default' => true,
		),
	);
}

function template_settings()
{
	global $context, $settings, $options, $scripturl, $txt;

	$context['theme_settings'] = array(
	// These are my custom settings that I created
                array(
			'id' => 'stars',
			'label' => $txt['stars_mod'],
			'description' => $txt['stars_mod_desc'],
		),
                array(
			'id' => 'arcade',
			'label' => $txt['arcade_mod'],
			'description' => $txt['arcade_mod_desc'],
		),
                array(
			'id' => 'gallery',
			'label' => $txt['gallery_mod'],
			'description' => $txt['gallery_mod_desc'],
		),
                array(
			'id' => 'articles',
			'label' => $txt['articles_mod'],
			'description' => $txt['articles_mod_desc'],
		),
                array(
			'id' => 'tags',
			'label' => $txt['tags_mod'],
			'description' => $txt['tags_mod_desc'],
		),
                array(
			'id' => 'links',
			'label' => $txt['links_mod'],
			'description' => $txt['links_mod_desc'],
		),
                array(
			'id' => 'staff',
			'label' => $txt['staff_mod'],
			'description' => $txt['staff_mod_desc'],
		),
                array(
			'id' => 'contact',
			'label' => $txt['contact_mod'],
			'description' => $txt['contact_mod_desc'],
		),
                array(
			'id' => 'meta',
			'label' => $txt['meta'],
			'description' => $txt['meta_desc'],
			'type' => 'text',
		),
                array(
			'id' => 'width',
			'label' => $txt['width'],
			'description' => $txt['width_desc'],
			'type' => 'number',
		),
		array(
			'id' => 'activity',
			'label' => $txt['activity_toggle'],
			'description' => $txt['activity_toggle_desc'],
			'options' => array(
				1 => $txt['on'],
				2 => $txt['off'],
			),
		),
		array(
			'id' => 'activity_name',
			'label' => $txt['activity_name_toggle'],
			'description' => $txt['activity_toggle_name_desc'],
			'options' => array(
				'activity' => $txt['standard'],
				'life' => $txt['mgs'],
				'health' => $txt['zelda'],
				'hp' => $txt['ff'],
				'energy' => $txt['metroid'],
			),
		),
		array(
			'id' => 'defaultav',
			'label' => $txt['default_avatar'],
			'description' => $txt['defeault_avatar_desc'],
			'options' => array(
				1 => $txt['on'],
				2 => $txt['off'],
			),
		),
                array(
			'id' => 'dropdown',
			'label' => $txt['template_menu_drop'],
			'description' => $txt['template_menu_drop_desc'],
			'options' => array(
				1 => $txt['on'],
				2 => $txt['off'],
			),
		),
		array(
			'id' => 'colour_toggle',
			'label' => $txt['colour_toggle'],
			'description' => $txt['colour_toggle_desc'],
			'options' => array(
				1 => $txt['on'],
				2 => $txt['off'],
			),
		),
                array(
			'id' => 'colour',
			'label' => $txt['colour'],
			'description' => $txt['colour_desc'],
			'options' => array(
				'england' => $txt['eng'],
                                'scotland' => $txt['sco'],
			),
		),
                array(
			'id' => 'regbar',
			'label' => $txt['regbar_warn'],
			'description' => $txt['regbar_warn_desc'],
			'options' => array(
				1 => $txt['on'],
				2 => $txt['off'],
			),
		),
                array(
			'id' => 'regbar_msg',
			'label' => $txt['regbar_msg'],
			'description' => $txt['regbar_msg_desc'],
			'type' => 'text',
		),
                array(
			'id' => 'welomebox',
			'label' => $txt['welcome_box'],
			'description' => $txt['welcome_box_desc'],
			'options' => array(
				1 => $txt['guests_only'],
				2 => $txt['members_only'],
				3 => $txt['both'],
				4 => $txt['none'],
			),
		),
                array(
			'id' => 'memboxposts',
			'label' => $txt['member_box_max_posts'],
			'description' => $txt['member_box_max_posts_desc'],
			'type' => 'number',
		),
                array(
			'id' => 'membox_title',
			'label' => $txt['membox_title'],
			'description' => $txt['membox_title_desc'],
			'type' => 'text',
		),
                array(
			'id' => 'membox_msg_g',
			'label' => $txt['membox_msg_g'],
			'description' => $txt['membox_msg_g_desc'],
			'type' => 'text',
		),
                array(
			'id' => 'membox_msg',
			'label' => $txt['membox_msg'],
			'description' => $txt['membox_msg_desc'],
			'type' => 'text',
		),
                array(
			'id' => 'favicon',
			'label' => $txt['favicon'],
			'description' => $txt['favicon_desc'],
			'type' => 'text',
		),
                array(
			'id' => 'modbutton',
			'label' => $txt['mod_buttons'],
			'description' => $txt['mod_buttons_desc'],
			'options' => array(
				true => $txt['textlinks'],
				false => $txt['buttons'],
			),
		),
                array(
			'id' => 'modlocation',
			'label' => $txt['mod_location'],
			'description' => $txt['mod_location_desc'],
			'options' => array(
				1 => $txt['top'],
				2 => $txt['bottom'],
			),
		),
                array(
			'id' => 'search_length',
			'label' => $txt['search_length'],
			'description' => $txt['search_length_desc'],
			'type' => 'number',
		),
                array(
			'id' => 'onlinegroupkey',
			'label' => $txt['onlinegroup_key'],
			'description' => $txt['onlinegroup_key_desc'],
			'options' => array(
				1 => $txt['on'],
				2 => $txt['off'],
			),
		),
                array(
			'id' => 'attachmentalign',
			'label' => $txt['attachment_align'] . '',
			'description' => $txt['attachment_align_desc'],
			'options' => array(
				1 => $txt['sniper'],
				2 => $txt['pistol'],
			),
		),
                array(
			'id' => 'sigs_num',
			'label' => $txt['sig_display_once'] . '',
			'description' => $txt['sig_display_once_desc'],
			'options' => array(
				1 => $txt['on'],
				2 => $txt['off'],
			),
		),
                array(
			'id' => 'copyright',
			'label' => $txt['cus_copyright'],
			'description' => $txt['cus_copyright_desc'],
			'type' => 'text',
		),
                array(
			'id' => 'posturl',
			'label' => $txt['post_links'],
			'description' => $txt['post_links_desc'],
			'options' => array(
				1 => $txt['on'],
				2 => $txt['off'],
			),
		),
                array(
			'id' => 'posttopic',
			'label' => $txt['post_topic'],
			'description' => $txt['post_topic_desc'],
			'options' => array(
				1 => $txt['core'],
				2 => $txt['classic'],
				3 => $txt['special'],
			),
		),
                array(
			'id' => 'linktreecus',
			'label' => $txt['cus_linktree'],
			'description' => $txt['cus_linktree_desc'],
			'type' => 'text',
			'size' => '5',
		),
		// These are default SMF Settings
             	array(
			'id' => 'number_recent_posts',
			'label' => $txt['number_recent_posts'],
			'description' => $txt['number_recent_posts_desc'],
			'type' => 'number',
		),
		array(
			'id' => 'display_who_viewing',
			'label' => $txt['who_display_viewing'],
			'options' => array(
				0 => $txt['who_display_viewing_off'],
				1 => $txt['who_display_viewing_numbers'],
				2 => $txt['who_display_viewing_names'],
			),
		),
		array(
			'id' => 'smiley_sets_default',
			'label' => $txt['smileys_default_set_for_theme'],
			'options' => $context['smiley_sets'],
		),
		array(
			'id' => 'show_modify',
			'label' => $txt[383],
		),
		array(
			'id' => 'show_member_bar',
			'label' => $txt[510],
		),
		array(
			'id' => 'linktree_link',
			'label' => $txt[522],
		),
		array(
			'id' => 'show_profile_buttons',
			'label' => $txt[523],
		),
		array(
			'id' => 'show_mark_read',
			'label' => $txt[618],
		),
		array(
			'id' => 'show_sp1_info',
			'label' => $txt['smf200'],
		),
		array(
			'id' => 'allow_no_censored',
			'label' => $txt['allow_no_censored'],
		),
		array(
			'id' => 'show_bbc',
			'label' => $txt[740],
		),
		array(
			'id' => 'additional_options_collapsable',
			'label' => $txt['additional_options_collapsable'],
		),
		array(
			'id' => 'enable_news',
			'label' => $txt[379],
		),
		array(
			'id' => 'show_newsfader',
			'label' => $txt[387],
		),
		array(
			'id' => 'newsfader_time',
			'label' => $txt[739],
			'type' => 'number',
		),
		array(
			'id' => 'show_user_images',
			'label' => $txt[384],
		),
		array(
			'id' => 'show_blurb',
			'label' => $txt[385],
		),
		array(
			'id' => 'show_latest_member',
			'label' => $txt[382],
		),
		array(
			'id' => 'use_image_buttons',
			'label' => $txt[521],
		),
		array(
			'id' => 'show_gender',
			'label' => $txt[386],
		),
		array(
			'id' => 'hide_post_group',
			'label' => $txt['hide_post_group'],
			'description' => $txt['hide_post_group_desc'],
		),
	);
}

?>